#!/bin/sh
# *****************************************
# * SIB Perf Startup shell script         *
# *                                       *
# * Usage: ./sibperf.sh                   *
# *                                       *
# *****************************************

# Set up the environment
. ./env.sh

# Check the environment variable are all correct
if test ! -d $WAS_HOME
then
  echo "** WAS environment variable has not been set correctly **"
  echo ""
  echo "This variable is set in the 'env.sh' script and should point to the directory"
  echo "containing your WebSphere Application Server installation."
  echo "For example, /opt/IBM/WebSphere/AppServer."
  exit
fi

if test ! -f $WAS_HOME/java/bin/java
then
  echo "** WAS environment variable has not been set correctly **"
  echo ""
  echo "This variable is set in the 'env.sh' script and should point to the directory"
  echo "containing your WebSphere Application Server installation. While the variable "
  echo "does indeed point to a valid directory, the Java Virtual Machine cannot be "
  echo "found and this is needed to successfully run the tool."
  echo "Verify that the WAS environment variable has been set correctly."
  echo "For example, /opt/IBM/WebSphere/AppServer."
  exit
fi

if test ! -d $SWTJARS
then
  echo "** SWTJARS environment variable has not been set correctly **"
  echo ""
  echo "This variable is set in the 'env.sh' script and should point to the directory"
  echo "containing the downloaded SWT libraries."
  exit
fi

if test ! -d $SIBPerfDir
then 
  echo "** SIBPerfDir environment variable has not been set correctly **"
  echo ""
  echo "This variable is set in the 'env.sh' script and should point to the directory"
  echo "containing the 'SIBPerf.jar' file."
  exit
fi


cd $WAS_HOME/bin
. ./setupCmdLine.sh
cd $SIBPerfDir

export PATH=$SIBPerfDir:$WAS_HOME:$SWTJARS:$PATH
export LD_LIBRARY_PATH=$SWTJARS
export EXTDIRS=$SIBPerfDir:$SWTJARS:.:$WAS_EXT_DIRS:$WAS_HOME/plugins:$WAS_HOME/java/jre/lib/ext:

# For tracing you wil need to uncomment the line below and edit the trace file: trcSettings.txt
# export DEBUG=-DtraceSettingsFile=$SIBPerfDir/trcSettings.txt

$WAS_HOME/java/bin/java $DEBUG $CLIENTSAS $CLIENTSSL $CLIENTSOAP -Djava.ext.dirs=$EXTDIRS com.ibm.ws.sib.tools.perf.Viewer
